@charset "utf-8";
/* ------------------------------
main共通スタイル/header/footer　
--------------------------------*/
.main {
  padding: var(--space-l) 0 0;
}
#single.main,
#single-sample.main {
  padding: var(--space-l) 0 var(--space-l);
}
.main section:last-of-type {
  padding-bottom: var(--space-xl);
}
.wrapper {
  max-width: 1200px;
  /* padding: var(--space-m) var(--space-xxs); */
  padding: var(--space-m) 4%;
  margin: 0 auto;
}
.bg {
  background-color: var(--color-base);
  padding: var(--space-s) var(--space-xxs);
}
.title {
  font-size: var(--title-h1);
  margin-bottom: var(--space-m);
  text-align: center;
  & span {
    border-bottom: 5px solid var(--color-accent);
  }
}
.intro {
  text-align: center;
  margin-bottom: var(--space-s);
}
.sub-title {
  font-size: var(--title-h2);
}
.sub-title::before {
  content: "■";
}
.item-title {
  font-size: var(--title-h3);
  margin-bottom: var(--space-xxs);
}
.flex {
  display: flex;
}
.grid {
  display: grid;
  gap: var(--space-xxs);
}
.item {
  padding: 4%;
}

.button {
  touch-action: manipulation;
  width: fit-content;
  margin: 2rem auto;
  & a {
    background-color: var(--color-sub-blue);
    color: #fff;
    font-weight: normal;
    display: inline-block;
    border-radius: 10px;
    padding: 0.5rem clamp(1rem, 0.699rem + 1.53vw, 2rem);
    box-shadow: 0px 3px 3px rgb(156, 155, 155);
    transition: 0.2s;
  }
  & a:hover {
    color: var(--color-sub-blue);
    outline: 1px solid var(--color-sub-blue);
    background-color: var(--color-white);
    box-shadow: 0px 5px 5px rgb(156, 155, 155);
  }
}
.button-small {
  width: fit-content;
  margin: 0.5rem 0px 1rem auto;
  border-bottom: 1px solid rgb(18, 18, 18);
}
.button-small a::before {
  content: "👉";
  display: inline-block;
  margin-right: 5px;
  transition: 0.5s;
}
.button-small:hover.button-small a::before {
  transform: translateX(7px);
}
.chara-red {
  color: var(--color-sub-red);
  font-weight: bold;
}
.chara-orange {
  color: var(--color-accent);
  font-weight: bold;
}
.caption {
  font-weight: bold;
}
.table {
  width: fit-content;
  margin: 0 auto;
  & p:first-of-type {
    margin-bottom: var(--space-xxs);
  }
  .button-small {
    margin: 0 auto 0 0;
    border-bottom: none;
  }
}
/* ----------------------
header.php
------------------------*/
#header {
  padding: var(--space-xxs) var(--space-s);
  background-color: #ffffffa5;
  border-top: 3px solid var(--color-black);
  border-bottom: 3px solid var(--color-black);
  position: sticky;
  z-index: 1;
  top: 0;
  & a {
    font-weight: bold;
  }
  .logo {
    font-size: var(--title-h1);
  }
}
.ham {
  display: block;
  border: none;
  width: 31px;
  height: 31px;
  position: absolute;
  right: 1rem;
  top: 1rem;
  z-index: 30;
  cursor: pointer;
  background-color: transparent;
}
.ham span {
  position: absolute;
  width: 100%;
  height: 2px;
  right: 0;
}
.ham1 {
  top: calc(50% - 10% / 2 - 25%);
  transition: 0.2s;
  background-color: var(--color-black);
}
.ham2 {
  top: calc(50% - 10% / 2);
  background-color: var(--color-black);
}
.ham3 {
  top: calc(50% - 10% / 2 + 25%);
  transition: 0.5s;
  background-color: var(--color-black);
}
.open .ham1 {
  top: calc(50% - 10% / 2);
  background-color: var(--color-white);
  transform: rotate(135deg);
}
.open .ham2 {
  opacity: 0;
}
.open .ham3 {
  top: calc(50% - 10% / 2);
  background-color: var(--color-white);
  transform: rotate(-135deg);
}
.main-navigation {
  display: none;
  position: fixed;
  background-color: var(--color-main);
  width: 100%;
  height: 100vh;
  padding: var(--space-l);
  top: 0;
  left: 0;
  transition: 0.4s;
  z-index: 10;
  .nav-menu {
    display: flex;
    flex-direction: column;
  }
  & li {
    line-height: var(--line-height-l);
    text-align: center;
  }
  & a {
    font-size: var(--title-h2);
    padding: 0.2rem 0.5rem;
    color: var(--color-white);
  }
}
.open .main-navigation {
  display: block;
}
/* ページネーション------------ */
.nav-links {
  text-align: center;
  .page-numbers {
    padding: var(--space-xs);
    font-weight: bold;
  }
  .current {
    color: var(--color-main);
  }
  .page-numbers:not(.current):hover {
    color: var(--color-main);
    text-decoration: underline;
  }
}
#single .nav-links,
#single-sample .nav-links {
  display: flex;
  justify-content: center;
  gap: var(--space-xl);
  & a:hover {
    color: var(--color-main);
    text-decoration: underline;
  }
}
/* ------------------------------
footer.php
----------------------------- */
#footer {
  background-color: #014461;
  color: #fff;
  a {
    color: #fff;
  }
  .flex {
    flex-direction: column;
    padding: var(--space-s) var(--space-xs) var(--space-l);
    gap: var(--space-s);
  }
  .footer-item {
    background-color: transparent;
  }
  .logo span {
    border: 3px solid #fff;
    padding: 0 8px;
    font-size: var(--title-h2);
    margin-right: var(--space-xs);
  }
  .logo {
    margin-bottom: var(--space-xs);
  }
  .grid p:last-of-type {
    margin: var(--space-xs) 0 var(--space-s);
  }
  .nav-item::before {
    content: "-　";
  }
  .copyright {
    text-align: center;
    font-size: var(--text-xs);
    padding-bottom: var(--space-xs);
  }
}
